Last Comment Bug 739644 - [Instant messaging] provide an indication that an item is expanded or collapsed like "offline contacts"
: [Instant messaging] provide an indication that an item is expanded or collaps...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Disability Access (show other bugs)
: Trunk
: All All
-- normal (vote)
: Thunderbird 16.0
Assigned To: Florian Quèze [:florian] [:flo] (PTO until February 27)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 09:08 PDT by Marco Zehe (:MarcoZ)
Modified: 2012-06-15 04:03 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Patch (1.67 KB, patch)
2012-06-08 04:26 PDT, Florian Quèze [:florian] [:flo] (PTO until February 27)
mconley: review+
mozilla: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description User image Marco Zehe (:MarcoZ) 2012-03-27 09:08:02 PDT
The list of contacts contains items that are expandable or collapsable. However, since this is not a xul:tree widget but rather a list widget, an ARIA attribute needs to be provided to indicate to assistive technologies that an item is collapsed or expanded, and needs to be adjusted whenever the state changes.

To implement:
1. On items such as "offline contacts", put the attribute aria-expanded and give it a value of "false" if the item is collapsed or "true" if it is expanded.
2. Whenever the state changes, like when pressing right arrow to expand or left arrow to collapse, change this attribute to the appropriate value.

This is enough to indicate to screen readers which state the list item is in.
Comment 1 User image Florian Quèze [:florian] [:flo] (PTO until February 27) 2012-06-08 04:26:20 PDT
Created attachment 631343 [details] [diff] [review]
Patch
Comment 2 User image Florian Quèze [:florian] [:flo] (PTO until February 27) 2012-06-14 07:21:14 PDT
https://hg.mozilla.org/comm-central/rev/7a9fe3d6a0a9
Comment 3 User image Florian Quèze [:florian] [:flo] (PTO until February 27) 2012-06-14 07:21:44 PDT
Comment on attachment 631343 [details] [diff] [review]
Patch

[Approval Request Comment]
Accessibility improvement for the chat feature.
Comment 4 User image Florian Quèze [:florian] [:flo] (PTO until February 27) 2012-06-15 04:03:14 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/00684bdbd09d

Note You need to log in before you can comment on or make changes to this bug.